Atom
Date: 2019-10-22

org.jmol.adapter.smarter

## Class Atom

- java.lang.Object
- - javajs.util.T3
  - - javajs.util.P3
    - - org.jmol.adapter.smarter.Atom

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, javajs.api.JSONEncodable

      public class Atom
      extends javajs.util.P3
      implements java.lang.Cloneable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `char` | `altLoc`
    `float[]` | `anisoBorU`
    `java.lang.String` | `atomName`
    `int` | `atomSerial`
    `int` | `atomSetIndex`
    `int` | `atomSite`
    `float` | `bfactor`
    `javajs.util.BS` | `bsSymmetry`
    `int` | `chainID`
    `private static int[]` | `elementCharMasks`
    `short` | `elementNumber`
    `java.lang.String` | `elementSymbol`
    `float` | `foccupancy`
    `int` | `formalCharge`
    `java.lang.String` | `group3`
    `boolean` | `ignoreSymmetry`
    `int` | `index`
    `char` | `insertionCode`
    `boolean` | `isHetero`
    `float` | `partialCharge`
    `float` | `radius`
    `int` | `sequenceNumber`
    `javajs.util.Lst<java.lang.Object>` | `tensors`
    `javajs.util.V3` | `vib`

    - ### Fields inherited from class javajs.util.T3

      `x, y, z`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Atom()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tensor` | `addTensor(Tensor tensor, java.lang.String type, boolean reset)`
    `Atom` | `getClone()`
    `java.lang.String` | `getElementSymbol()`
    `static boolean` | `isValidSym1(char ch)`
    `static boolean` | `isValidSym2(char ch1, char ch2)`
    `private static boolean` | `isValidSymChar1(char ch)`
    `static boolean` | `isValidSymNoCase(char ch1, char ch2)`

    - ### Methods inherited from class javajs.util.P3

      `getUnlikely, new3, newP`

    - ### Methods inherited from class javajs.util.T3

      `add, add2, add3, ave, cross, distance, distanceSquared, dot, equals, floatToIntBits, hashCode, length, lengthSquared, normalize, scale, scaleAdd2, scaleT, set, setA, setT, sub, sub2, toJSON, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### atomSetIndex

          public int atomSetIndex

    - #### index

          public int index

    - #### bsSymmetry

          public javajs.util.BS bsSymmetry

    - #### atomSite

          public int atomSite

    - #### elementSymbol

          public java.lang.String elementSymbol

    - #### elementNumber

          public short elementNumber

    - #### atomName

          public java.lang.String atomName

    - #### formalCharge

          public int formalCharge

    - #### partialCharge

          public float partialCharge

    - #### vib

          public javajs.util.V3 vib

    - #### bfactor

          public float bfactor

    - #### foccupancy

          public float foccupancy

    - #### radius

          public float radius

    - #### isHetero

          public boolean isHetero

    - #### atomSerial

          public int atomSerial

    - #### chainID

          public int chainID

    - #### altLoc

          public char altLoc

    - #### group3

          public java.lang.String group3

    - #### sequenceNumber

          public int sequenceNumber

    - #### insertionCode

          public char insertionCode

    - #### anisoBorU

          public float[] anisoBorU

    - #### tensors

          public javajs.util.Lst<java.lang.Object> tensors

    - #### ignoreSymmetry

          public boolean ignoreSymmetry

    - #### elementCharMasks

          private static final int[] elementCharMasks

  - ### Constructor Detail

    - #### Atom

          public Atom()

  - ### Method Detail

    - #### addTensor

          public Tensor addTensor(Tensor tensor,
                                  java.lang.String type,
                                  boolean reset)

    - #### getClone

          public Atom getClone()
                        throws java.lang.CloneNotSupportedException

      Throws:
        `java.lang.CloneNotSupportedException`

    - #### getElementSymbol

          public java.lang.String getElementSymbol()

    - #### isValidSym1

          public static boolean isValidSym1(char ch)

      Parameters:
        `ch` -
      Returns:
        true if matches a one-character symbol X

    - #### isValidSym2

          public static boolean isValidSym2(char ch1,
                                            char ch2)

      Parameters:
        `ch1` -
        `ch2` -
      Returns:
        true if matches a valid symbol Xy

    - #### isValidSymNoCase

          public static boolean isValidSymNoCase(char ch1,
                                                 char ch2)

      Parameters:
        `ch1` -
        `ch2` -
      Returns:
        true if matches a two-character symbol, XX or Xx

    - #### isValidSymChar1

          private static boolean isValidSymChar1(char ch)

      Parameters:
        `ch` -
      Returns:
        true if matches FIRST character of some symbol Xx